function controllerMain() {
	window.addEventListener("message", receivePostMessage, false);
	// Get the window displayed in the iframe.
	var receiver = document.getElementById('receiver').contentWindow;
	console.log("Game side / initialize communication between iframes");
	var pets = get_petsCollection();
	receiver.postMessage("getPets", petsPageCommunicationPageURL);
}

function sendMessage(e) {
	var pets = get_petsCollection();
	console.log("Game side send message");
	e.source.postMessage({wishList:JSON.stringify(pets.getWishlistData()), collection:JSON.stringify(pets.getCollectionData())}, petsPageCommunicationPageURL);
}



function receivePostMessage(e)
{
	var pets = get_petsCollection();
	console.log("Game side controller receiveMessage = " + e.data);

	if(typeof(e.data) != "string")
	{
		$("#receiver").remove();
		
		console.log("Game side / message received = " + e.data);
		
		if( !localStorage.userCollection )
		{
			localStorage.setItem( "userCollection", "[]" );
		}
		if( !localStorage.userWishlist )
		{
			localStorage.setItem( "userWishlist", "[]" );
		}
		
		//localStorage.setItem( "userWishlist", "[]" );
		//localStorage.setItem( "userCollection", "[]" );
		
		if(e.data.collection != undefined)
		{
			var collection = JSON.parse(e.data.collection);
			
			if(collection.length > 0)
			{	
				for(var id in collection)
				{
					pets.addRemoveFromUserData("userCollection", collection[id], "userWishlist");
				}
				console.log("COLLECTIONS = " + collection);
			}
		}
		if(e.data.wishList != undefined)
		{
			var wishList = JSON.parse(e.data.wishList);
			
			if(wishList.length > 0)
			{
				for(var id in wishList)
				{
					pets.addRemoveFromUserData("userWishlist", wishList[id], "userCollection");
				}
				console.log("WISHLIST = " + wishList);
			}
		}

		

	}
}
